
package de.ivu.elect.core.exchange.stimmen.csv;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;

public interface StimmenCsvDTO {

  // ELECTDD-381 - WAS - SRW - Gesamtergebnisexport  - Überschriften fehlen
  Class< ? > getSubDTOClass();

  // ELECTDD-381 - WAS - SRW - Gesamtergebnisexport  - Überschriften fehlen
  int getAnzahlSubDTO();

  Gebiet getGebiet();

  void setGebiet(Gebiet gebiet);

  String getGebietsart();

  void setGebietsart(String gebietsart);

  String getGebietsnummer();

  void setGebietsnummer(String gebietsnummer);

  Long getAnzahlWahlberechtigteOhneWahlschein();

  void setAnzahlWahlberechtigteOhneWahlschein(Long anzahlWahlberechtigteOhneWahlschein);

  Long getAnzahlWahlberechtigteMitWahlschein();

  void setAnzahlWahlberechtigteMitWahlschein(Long anzahlWahlberechtigteMitWahlschein);

  Long getAnzahlWahlberechtigteNichtImWaehlerverzeichnis();

  void setAnzahlWahlberechtigteNichtImWaehlerverzeichnis(Long anzahlWahlberechtigteNichtImWaehlerverzeichnis);

  Long getAnzahlWaehlerOhneWahlschein();

  void setAnzahlWaehlerOhneWahlschein(Long anzahlWaehlerOhneWahlschein);

  Long getAnzahlWaehlerMitWahlschein();

  void setAnzahlWaehlerMitWahlschein(Long anzahlWaehlerMitWahlschein);

  Long getAnzahlWaehlerMitWahlscheinInUrnenwahlAnzahlAusUrnenwahl();

  void setAnzahlWaehlerMitWahlscheinInUrnenwahlAnzahlAusUrnenwahl(Long anzahlWaehlerMitWahlscheinInUrnenwahlAnzahlAusUrnenwahl);

  Long getAnzahlWaehlerMitWahlscheinInUrnenwahlAnzahlAusBriefwahl();

  void setAnzahlWaehlerMitWahlscheinInUrnenwahlAnzahlAusBriefwahl(Long anzahlWaehlerMitWahlscheinInUrnenwahlAnzahlAusBriefwahl);
}
